com.jelurida.ardor.contracts

## Class LiberlandCitizenRegistry<InvocationData,ReturnedData>

- java.lang.Object
- - nxt.addons.AbstractContract<InvocationData,ReturnedData>
  - - com.jelurida.ardor.contracts.LiberlandCitizenRegistry<InvocationData,ReturnedData>

- All Implemented Interfaces:
    Contract<InvocationData,ReturnedData>

      public class LiberlandCitizenRegistry<InvocationData,ReturnedData>
      extends AbstractContract<InvocationData,ReturnedData>

  Load Liberland citizen records and register them on the blockchain as account proprties This class requires JDK 11, since we still rely on JDK 8 we comment out all the JDK 11 code and replaced it with mockup data that you'll need to comment out. Add the --add-modules java.net.http to the compiler command line.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `LiberlandCitizenRegistry.Params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiberlandCitizenRegistry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends TransactionResponse> boolean` | `isDuplicate(T myTransaction, java.util.List<T> existingUnconfirmedTransactions)`
    `JO` | `processTransaction(TransactionContext context)`

    - ### Methods inherited from class nxt.addons.AbstractContract

      `processBlock, processInvocation, processRequest, processVoucher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.addons.Contract

      `minProductVersion`

- - ### Constructor Detail

    - #### LiberlandCitizenRegistry

          public LiberlandCitizenRegistry()

  - ### Method Detail

    - #### processTransaction

          public JO processTransaction(TransactionContext context)

      Specified by:
        `processTransaction` in interface `Contract<InvocationData,ReturnedData>`
      Overrides:
        `processTransaction` in class `AbstractContract<InvocationData,ReturnedData>`

    - #### isDuplicate

          public <T extends TransactionResponse> boolean isDuplicate(T myTransaction,
                                                                     java.util.List<T> existingUnconfirmedTransactions)

      Specified by:
        `isDuplicate` in interface `Contract<InvocationData,ReturnedData>`
      Overrides:
        `isDuplicate` in class `AbstractContract<InvocationData,ReturnedData>`